#!/bin/bash

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# This script can safely be run as root, it will reexec itself as user
# cyrus if needed.

if [ "$#" -ne 2 ]; then
  echo "usage: $0 [hex errorcode] [filename]"
  exit 1
fi

# fallback to su if runuser not available
if [ -x /sbin/runuser ]; then
  RUNUSER=runuser
else
  RUNUSER=su
fi

# force cyrus user for security reasons
if [ ! $(whoami) = "cyrus" ]; then
  exec $RUNUSER - cyrus -s /bin/bash -c "cd $PWD < /dev/null ; sh $0 $@"
fi

HEXVAL=$1
INFILE=$2

# files get mode 0600
umask 0166

DECVAL=$(echo "ibase=16; $HEXVAL" | bc)

dd if=$INFILE of=${INFILE}.fixed bs=1 count=$DECVAL 2> /dev/null
mv -vf ${INFILE}.fixed $INFILE
